Bug 306449 - transparency bug in active window
Summary: transparency bug in active window
Status: CLOSED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-window-management (show other bugs)
Version: 4.9.1
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: 4.9.2
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-08 12:12 UTC by Andre Woebbeking
Modified: 2012-10-27 08:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.2


Attachments
my configuration (4.86 KB, text/plain)
2012-09-08 12:13 UTC, Andre Woebbeking
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Woebbeking 2012-09-08 12:12:50 UTC
I compile 4.9 from branch. Since yesterday I've the problem that the active window is a bit transparent but I configured transparency only for inactive or moving windows. You can see this best in parts of the window that are painted with QPalette::Window color or if you scroll in e. g. Konqueror or KMail. Then it looks like a composite of the last and new content.

Reproducible: Always
Comment 1 Andre Woebbeking 2012-09-08 12:13:46 UTC
Created attachment 73743 [details]
my configuration
Comment 2 Andre Woebbeking 2012-09-08 12:18:06 UTC
I forgot to mention, this doesn't happen if I disable all effects.
Comment 3 Thomas Lübking 2012-09-08 12:32:49 UTC
see https://git.reviewboard.kde.org/r/106335/
try "!isInactive(w)" -> "isInactive(w)"
Comment 4 Andre Woebbeking 2012-09-08 14:53:54 UTC
On Saturday 08 September 2012 12:32:49 Thomas Lübking wrote:
> --- Comment #3 from Thomas Lübking <thomas.luebking@gmail.com> ---
> see https://git.reviewboard.kde.org/r/106335/
> try "!isInactive(w)" -> "isInactive(w)"

Much better, thanks!
Comment 5 Martin Flöser 2012-09-08 17:44:41 UTC
Git commit eee057043d130ec76e84aa5f8e74e86c0528d5be by Martin Gräßlin.
Committed on 08/09/2012 at 19:43.
Pushed by graesslin into branch 'KDE/4.9'.

Drop supperfluous and wrong inactive check in translucency effect

Left over from the cleanup which basically resulted in the active window
being put to the inactive's window opacity.

Thanks for the early notification of that issue.
FIXED-IN: 4.9.2

M  +0    -4    kwin/effects/translucency/translucency.cpp

http://commits.kde.org/kde-workspace/eee057043d130ec76e84aa5f8e74e86c0528d5be